Bug 826052 - consumer update help should match repo update help
consumer update help should match repo update help
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: z_other (Show other bugs)
2.0.6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Sayli Karmarkar
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-29 09:32 EDT by Preethi Thomas
Modified: 2015-03-22 21:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-09 12:04:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2012-05-29 09:32:38 EDT
Description of problem:

consumer update options help have (required) and (optional) specified. If you see repo update only (required) is used. Its not required to specify (optional)

Version-Release number of selected component (if applicable):

[root@preethi ~]# rpm -q pulp
pulp-0.0.290-1.fc16.noarch
[root@preethi ~]# 

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:

[root@preethi ~]# pulp-v2-admin consumer update
Command: update
Description: changes metadata on an existing consumer

Available Arguments:

  --id           - (required) uniquely identifies the consumer; only
                   alphanumeric, -, and _ allowed
  --display-name - (optional) user-readable display name for the consumer
  --description  - (optional) user-readable description for the consumer
  --note         - (optional) adds/updates/deletes notes to programmtically
                   identify the consumer; key-value pairs must be separated by
                   an equal sign (e.g. key=value); multiple notes can be changed
                   by specifying this option multiple times; notes are deleted
                   by specifying "" as the value

The following options are required but were not specified:
  --id
[root@preethi ~]# pulp-v2-admin repo update
Command: update
Description: updates an existing repository's configuration

Available Arguments:

Required
  --id - (required) uniquely identifies the repository; only alphanumeric, -,
         and _ allowed

Basic
  --feed         - URL of the external source repository to sync
  --display-name - user-readable display name for the repository
  --description  - user-readable description of the repo's contents
  --note         - adds/updates/deletes key-value pairs to programmtically
                   identify the repository; pairs must be separated by an equal
                   sign (e.g. key=value); multiple notes can be changed by
                   specifying this option multiple times; notes are deleted by
                   specifying "" as the value


Expected results:


Additional info:
Comment 1 Sayli Karmarkar 2012-05-30 11:58:34 EDT
There have been bunch of changes in this area to avoid this kind of an inconsistency. This should be fixed in the next build.
Comment 2 Jay Dobies 2012-06-29 15:06:39 EDT
In release 0.309
Comment 3 Preethi Thomas 2012-08-16 13:34:48 EDT
verified
[root@pulp-master ~]# rpm -q pulp-server
pulp-server-0.0.323-1.fc17.noarch
[root@pulp-master ~]#
Comment 4 Preethi Thomas 2013-01-09 12:04:55 EST
Pulp v2.0 released

Note You need to log in before you can comment on or make changes to this bug.